include "basics/pts.ma".
include "connectives.ma".
include "logic.ma".
axiom nat : Type[0].
axiom S : nat -> nat.
axiom le : nat -> nat -> Prop.
axiom le_n : \forall (n:nat). (le)  n n.
axiom le_S : \forall (n:nat). \forall (m:nat). ((le)  n m) -> (le)  n ((S)  m).
axiom le_ind : \forall (n:nat). \forall (Q:nat -> Prop). (Q n) -> (\forall (m:nat). ((le)  n m) -> (Q m) -> Q ((S)  m)) -> \forall (m:nat). ((le)  n m) -> Q m.
definition le_S_S : \forall (n:nat). \forall (m:nat). ((le)  n m) -> (le)  ((S)  n) ((S)  m) := \lambda n : nat. \lambda m : nat. \lambda lenm : (le)  n m. (((((((le_ind) (n)) (\lambda x_417 : nat. (le)  ((S)  n) ((S)  x_417))) ((le_n) ((S)  n))) (\lambda m0 : nat. \lambda j_x_419 : (le)  n m0. (\lambda j_x_421 : (le)  ((S)  n) ((S)  m0). ((((le_S) ((S)  n)) ((S)  m0)) (j_x_421))))) (m)) (lenm)).
definition not_le_S_S_to_not_le : \forall (n:nat). \forall (m:nat). ((Not)  ((le)  ((S)  n) ((S)  m))) -> (Not)  ((le)  n m) := \lambda n : nat. \lambda m : nat. \lambda auto : (Not)  ((le)  ((S)  n) ((S)  m)). (((((not_to_not) ((le)  n m)) ((le)  ((S)  n) ((S)  m))) (\lambda auto' : (le)  n m. ((((le_S_S) (n)) (m)) (auto')))) (auto)).
